unit taquin_apparence;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, FileUtil, Forms, Controls, Graphics, Dialogs, ExtCtrls,
  StdCtrls, Buttons, ComCtrls;

type

  { TWdApparence }

  TWdApparence = class(TForm)
    ImgTS5: TImage;
    ImgTS3: TImage;
    ImgTS2: TImage;
    ImgTS1: TImage;
    ImgTS4: TImage;
    PageControl1: TPageControl;
    Panel1: TPanel;
    Panel2: TPanel;
    Panel3: TPanel;
    Panel4: TPanel;
    Panel5: TPanel;
    Panel6: TPanel;
    Panel7: TPanel;
    SpeedButton1: TSpeedButton;
    TabSheet1: TTabSheet;
    TabSheet2: TTabSheet;
    TabSheet3: TTabSheet;
    TabSheet4: TTabSheet;
    TabSheet5: TTabSheet;
    procedure SpeedButton1Click(Sender: TObject);
  private
    { private declarations }
  public
    { public declarations }
  end;

var
  WdApparence: TWdApparence;

implementation

uses taquin_main;

{$R *.lfm}

{ TWdApparence }

var
  Select: integer;

procedure Image_0;
var
  DestRect, SrcRect: TRect;
  MaxX, MaxY, n: longint;
  x1, x2, x3, x4, y1, y2, y3, y4: longint;
begin
  //Image Gugusse
  with WdApparence do
  begin
    MaxX := ImgTS1.Width;
    MaxY := ImgTS1.Height;
    with ImgTS1.Canvas do
    begin
      Pen.Color := ClWhite;
      //horizontal
      y1 := MaxY div 4;
      Line(0, y1, MaxX - 1, y1);
      y2 := 2 * y1;
      Line(0, y2, MaxX - 1, y2);
      y3 := 3 * y1;
      Line(0, y3, MaxX - 1, y3);
      y4 := MaxY - 1;
      //vertical
      x1 := MaxX div 4;
      Line(x1, 0, x1, MaxY - 1);
      x2 := x1 * 2;
      Line(x2, 0, x2, MaxY - 1);
      x3 := x1 * 3;
      Line(x3, 0, x3, MaxY - 1);
      x4 := MaxX - 1;
      //Copie 1
      SrcRect := Rect(0, 0, x1, y1);
      DestRect := Rect(0, 0, WdMain.Img1.Width, WdMain.Img1.Height);
      //Dest                     Dest      Source      Source
      WdMain.Img1.Canvas.CopyRect(DestRect, ImgTS1.Canvas, SrcRect);
      //Copie 2
      SrcRect := Rect(x1, 0, x2, y1);
      DestRect := Rect(0, 0, WdMain.Img2.Width, WdMain.Img2.Height);
      WdMain.Img2.Canvas.CopyRect(DestRect, ImgTS1.Canvas, SrcRect);
      //Copie 3
      SrcRect := Rect(x2, 0, x3, y1);
      DestRect := Rect(0, 0, WdMain.Img3.Width, WdMain.Img3.Height);
      WdMain.Img3.Canvas.CopyRect(DestRect, ImgTS1.Canvas, SrcRect);
      //Copie 4
      SrcRect := Rect(x3, 0, x4, y1);
      DestRect := Rect(0, 0, WdMain.Img4.Width, WdMain.Img4.Height);
      WdMain.Img4.Canvas.CopyRect(DestRect, ImgTS1.Canvas, SrcRect);
      //Copie 5
      SrcRect := Rect(0, y1, x1, y2);
      DestRect := Rect(0, 0, WdMain.Img5.Width, WdMain.Img5.Height);
      WdMain.Img5.Canvas.CopyRect(DestRect, ImgTS1.Canvas, SrcRect);
      //Copie 6
      SrcRect := Rect(x1, y1, x2, y2);
      DestRect := Rect(0, 0, WdMain.Img6.Width, WdMain.Img6.Height);
      WdMain.Img6.Canvas.CopyRect(DestRect, ImgTS1.Canvas, SrcRect);
      //Copie 7
      SrcRect := Rect(x2, y1, x3, y2);
      DestRect := Rect(0, 0, WdMain.Img7.Width, WdMain.Img7.Height);
      WdMain.Img7.Canvas.CopyRect(DestRect, ImgTS1.Canvas, SrcRect);
      //Copie 8
      SrcRect := Rect(x3, y1, x4, y2);
      DestRect := Rect(0, 0, WdMain.Img8.Width, WdMain.Img8.Height);
      WdMain.Img8.Canvas.CopyRect(DestRect, ImgTS1.Canvas, SrcRect);
      //Copie 9
      SrcRect := Rect(0, y2, x1, y3);
      DestRect := Rect(0, 0, WdMain.Img9.Width, WdMain.Img9.Height);
      WdMain.Img9.Canvas.CopyRect(DestRect, ImgTS1.Canvas, SrcRect);
      //Copie 10
      SrcRect := Rect(x1, y2, x2, y3);
      DestRect := Rect(0, 0, WdMain.Img10.Width, WdMain.Img10.Height);
      WdMain.Img10.Canvas.CopyRect(DestRect, ImgTS1.Canvas, SrcRect);
      //Copie 11
      SrcRect := Rect(x2, y2, x3, y3);
      DestRect := Rect(0, 0, WdMain.Img11.Width, WdMain.Img11.Height);
      WdMain.Img11.Canvas.CopyRect(DestRect, ImgTS1.Canvas, SrcRect);
      //Copie 12
      SrcRect := Rect(x3, y2, x4, y3);
      DestRect := Rect(0, 0, WdMain.Img12.Width, WdMain.Img12.Height);
      WdMain.Img12.Canvas.CopyRect(DestRect, ImgTS1.Canvas, SrcRect);
      //Copie 13
      SrcRect := Rect(0, y3, x1, y4);
      DestRect := Rect(0, 0, WdMain.Img13.Width, WdMain.Img13.Height);
      WdMain.Img13.Canvas.CopyRect(DestRect, ImgTS1.Canvas, SrcRect);
      //Copie 14
      SrcRect := Rect(x1, y3, x2, y4);
      DestRect := Rect(0, 0, WdMain.Img14.Width, WdMain.Img14.Height);
      WdMain.Img14.Canvas.CopyRect(DestRect, ImgTS1.Canvas, SrcRect);
      //Copie 15
      SrcRect := Rect(x2, y3, x3, y4);
      DestRect := Rect(0, 0, WdMain.Img15.Width, WdMain.Img15.Height);
      WdMain.Img15.Canvas.CopyRect(DestRect, ImgTS1.Canvas, SrcRect);
    end;
    WdApparence.Close;
  end;
end;

procedure Image_1;
var
  DestRect, SrcRect: TRect;
  MaxX, MaxY, n: longint;
  x1, x2, x3, x4, y1, y2, y3, y4: longint;
begin
  //Image fractale
  with WdApparence do
  begin
    MaxX := ImgTS2.Width;
    MaxY := ImgTS2.Height;
    with ImgTS2.Canvas do
    begin
      Pen.Color := ClWhite;
      //horizontal
      y1 := MaxY div 4;
      Line(0, y1, MaxX - 1, y1);
      y2 := 2 * y1;
      Line(0, y2, MaxX - 1, y2);
      y3 := 3 * y1;
      Line(0, y3, MaxX - 1, y3);
      y4 := MaxY - 1;
      //vertical
      x1 := MaxX div 4;
      Line(x1, 0, x1, MaxY - 1);
      x2 := x1 * 2;
      Line(x2, 0, x2, MaxY - 1);
      x3 := x1 * 3;
      Line(x3, 0, x3, MaxY - 1);
      x4 := MaxX - 1;
      //Copie 1
      SrcRect := Rect(0, 0, x1, y1);
      DestRect := Rect(0, 0, WdMain.Img1.Width, WdMain.Img1.Height);
      //Dest                     Dest      Source      Source
      WdMain.Img1.Canvas.CopyRect(DestRect, ImgTS2.Canvas, SrcRect);
      //Copie 2
      SrcRect := Rect(x1, 0, x2, y1);
      DestRect := Rect(0, 0, WdMain.Img2.Width, WdMain.Img2.Height);
      WdMain.Img2.Canvas.CopyRect(DestRect, ImgTS2.Canvas, SrcRect);
      //Copie 3
      SrcRect := Rect(x2, 0, x3, y1);
      DestRect := Rect(0, 0, WdMain.Img3.Width, WdMain.Img3.Height);
      WdMain.Img3.Canvas.CopyRect(DestRect, ImgTS2.Canvas, SrcRect);
      //Copie 4
      SrcRect := Rect(x3, 0, x4, y1);
      DestRect := Rect(0, 0, WdMain.Img4.Width, WdMain.Img4.Height);
      WdMain.Img4.Canvas.CopyRect(DestRect, ImgTS2.Canvas, SrcRect);
      //Copie 5
      SrcRect := Rect(0, y1, x1, y2);
      DestRect := Rect(0, 0, WdMain.Img5.Width, WdMain.Img5.Height);
      WdMain.Img5.Canvas.CopyRect(DestRect, ImgTS2.Canvas, SrcRect);
      //Copie 6
      SrcRect := Rect(x1, y1, x2, y2);
      DestRect := Rect(0, 0, WdMain.Img6.Width, WdMain.Img6.Height);
      WdMain.Img6.Canvas.CopyRect(DestRect, ImgTS2.Canvas, SrcRect);
      //Copie 7
      SrcRect := Rect(x2, y1, x3, y2);
      DestRect := Rect(0, 0, WdMain.Img7.Width, WdMain.Img7.Height);
      WdMain.Img7.Canvas.CopyRect(DestRect, ImgTS2.Canvas, SrcRect);
      //Copie 8
      SrcRect := Rect(x3, y1, x4, y2);
      DestRect := Rect(0, 0, WdMain.Img8.Width, WdMain.Img8.Height);
      WdMain.Img8.Canvas.CopyRect(DestRect, ImgTS2.Canvas, SrcRect);
      //Copie 9
      SrcRect := Rect(0, y2, x1, y3);
      DestRect := Rect(0, 0, WdMain.Img9.Width, WdMain.Img9.Height);
      WdMain.Img9.Canvas.CopyRect(DestRect, ImgTS2.Canvas, SrcRect);
      //Copie 10
      SrcRect := Rect(x1, y2, x2, y3);
      DestRect := Rect(0, 0, WdMain.Img10.Width, WdMain.Img10.Height);
      WdMain.Img10.Canvas.CopyRect(DestRect, ImgTS2.Canvas, SrcRect);
      //Copie 11
      SrcRect := Rect(x2, y2, x3, y3);
      DestRect := Rect(0, 0, WdMain.Img11.Width, WdMain.Img11.Height);
      WdMain.Img11.Canvas.CopyRect(DestRect, ImgTS2.Canvas, SrcRect);
      //Copie 12
      SrcRect := Rect(x3, y2, x4, y3);
      DestRect := Rect(0, 0, WdMain.Img12.Width, WdMain.Img12.Height);
      WdMain.Img12.Canvas.CopyRect(DestRect, ImgTS2.Canvas, SrcRect);
      //Copie 13
      SrcRect := Rect(0, y3, x1, y4);
      DestRect := Rect(0, 0, WdMain.Img13.Width, WdMain.Img13.Height);
      WdMain.Img13.Canvas.CopyRect(DestRect, ImgTS2.Canvas, SrcRect);
      //Copie 14
      SrcRect := Rect(x1, y3, x2, y4);
      DestRect := Rect(0, 0, WdMain.Img14.Width, WdMain.Img14.Height);
      WdMain.Img14.Canvas.CopyRect(DestRect, ImgTS2.Canvas, SrcRect);
      //Copie 15
      SrcRect := Rect(x2, y3, x3, y4);
      DestRect := Rect(0, 0, WdMain.Img15.Width, WdMain.Img15.Height);
      WdMain.Img15.Canvas.CopyRect(DestRect, ImgTS2.Canvas, SrcRect);
    end;
    WdApparence.Close;
  end;
end;

procedure Image_2;
var
  DestRect, SrcRect: TRect;
  MaxX, MaxY, n: longint;
  x1, x2, x3, x4, y1, y2, y3, y4: longint;
begin
  //Image Gugusse
  with WdApparence do
  begin
    MaxX := ImgTS3.Width;
    MaxY := ImgTS3.Height;
    with ImgTS3.Canvas do
    begin
      Pen.Color := ClWhite;
      //horizontal
      y1 := MaxY div 4;
      Line(0, y1, MaxX - 1, y1);
      y2 := 2 * y1;
      Line(0, y2, MaxX - 1, y2);
      y3 := 3 * y1;
      Line(0, y3, MaxX - 1, y3);
      y4 := MaxY - 1;
      //vertical
      x1 := MaxX div 4;
      Line(x1, 0, x1, MaxY - 1);
      x2 := x1 * 2;
      Line(x2, 0, x2, MaxY - 1);
      x3 := x1 * 3;
      Line(x3, 0, x3, MaxY - 1);
      x4 := MaxX - 1;
      //Copie 1
      SrcRect := Rect(0, 0, x1, y1);
      DestRect := Rect(0, 0, WdMain.Img1.Width, WdMain.Img1.Height);
      //Dest                     Dest      Source      Source
      WdMain.Img1.Canvas.CopyRect(DestRect, ImgTS3.Canvas, SrcRect);
      //Copie 2
      SrcRect := Rect(x1, 0, x2, y1);
      DestRect := Rect(0, 0, WdMain.Img2.Width, WdMain.Img2.Height);
      WdMain.Img2.Canvas.CopyRect(DestRect, ImgTS3.Canvas, SrcRect);
      //Copie 3
      SrcRect := Rect(x2, 0, x3, y1);
      DestRect := Rect(0, 0, WdMain.Img3.Width, WdMain.Img3.Height);
      WdMain.Img3.Canvas.CopyRect(DestRect, ImgTS3.Canvas, SrcRect);
      //Copie 4
      SrcRect := Rect(x3, 0, x4, y1);
      DestRect := Rect(0, 0, WdMain.Img4.Width, WdMain.Img4.Height);
      WdMain.Img4.Canvas.CopyRect(DestRect, ImgTS3.Canvas, SrcRect);
      //Copie 5
      SrcRect := Rect(0, y1, x1, y2);
      DestRect := Rect(0, 0, WdMain.Img5.Width, WdMain.Img5.Height);
      WdMain.Img5.Canvas.CopyRect(DestRect, ImgTS3.Canvas, SrcRect);
      //Copie 6
      SrcRect := Rect(x1, y1, x2, y2);
      DestRect := Rect(0, 0, WdMain.Img6.Width, WdMain.Img6.Height);
      WdMain.Img6.Canvas.CopyRect(DestRect, ImgTS3.Canvas, SrcRect);
      //Copie 7
      SrcRect := Rect(x2, y1, x3, y2);
      DestRect := Rect(0, 0, WdMain.Img7.Width, WdMain.Img7.Height);
      WdMain.Img7.Canvas.CopyRect(DestRect, ImgTS3.Canvas, SrcRect);
      //Copie 8
      SrcRect := Rect(x3, y1, x4, y2);
      DestRect := Rect(0, 0, WdMain.Img8.Width, WdMain.Img8.Height);
      WdMain.Img8.Canvas.CopyRect(DestRect, ImgTS3.Canvas, SrcRect);
      //Copie 9
      SrcRect := Rect(0, y2, x1, y3);
      DestRect := Rect(0, 0, WdMain.Img9.Width, WdMain.Img9.Height);
      WdMain.Img9.Canvas.CopyRect(DestRect, ImgTS3.Canvas, SrcRect);
      //Copie 10
      SrcRect := Rect(x1, y2, x2, y3);
      DestRect := Rect(0, 0, WdMain.Img10.Width, WdMain.Img10.Height);
      WdMain.Img10.Canvas.CopyRect(DestRect, ImgTS3.Canvas, SrcRect);
      //Copie 11
      SrcRect := Rect(x2, y2, x3, y3);
      DestRect := Rect(0, 0, WdMain.Img11.Width, WdMain.Img11.Height);
      WdMain.Img11.Canvas.CopyRect(DestRect, ImgTS3.Canvas, SrcRect);
      //Copie 12
      SrcRect := Rect(x3, y2, x4, y3);
      DestRect := Rect(0, 0, WdMain.Img12.Width, WdMain.Img12.Height);
      WdMain.Img12.Canvas.CopyRect(DestRect, ImgTS3.Canvas, SrcRect);
      //Copie 13
      SrcRect := Rect(0, y3, x1, y4);
      DestRect := Rect(0, 0, WdMain.Img13.Width, WdMain.Img13.Height);
      WdMain.Img13.Canvas.CopyRect(DestRect, ImgTS3.Canvas, SrcRect);
      //Copie 14
      SrcRect := Rect(x1, y3, x2, y4);
      DestRect := Rect(0, 0, WdMain.Img14.Width, WdMain.Img14.Height);
      WdMain.Img14.Canvas.CopyRect(DestRect, ImgTS3.Canvas, SrcRect);
      //Copie 15
      SrcRect := Rect(x2, y3, x3, y4);
      DestRect := Rect(0, 0, WdMain.Img15.Width, WdMain.Img15.Height);
      WdMain.Img15.Canvas.CopyRect(DestRect, ImgTS3.Canvas, SrcRect);
    end;
    WdApparence.Close;
  end;
end;

procedure Image_3;
var
  DestRect, SrcRect: TRect;
  MaxX, MaxY, n: longint;
  x1, x2, x3, x4, y1, y2, y3, y4: longint;
begin
  //Image Gugusse
  with WdApparence do
  begin
    MaxX := ImgTS4.Width;
    MaxY := ImgTS4.Height;
    with ImgTS4.Canvas do
    begin
      Pen.Color := ClWhite;
      //horizontal
      y1 := MaxY div 4;
      Line(0, y1, MaxX - 1, y1);
      y2 := 2 * y1;
      Line(0, y2, MaxX - 1, y2);
      y3 := 3 * y1;
      Line(0, y3, MaxX - 1, y3);
      y4 := MaxY - 1;
      //vertical
      x1 := MaxX div 4;
      Line(x1, 0, x1, MaxY - 1);
      x2 := x1 * 2;
      Line(x2, 0, x2, MaxY - 1);
      x3 := x1 * 3;
      Line(x3, 0, x3, MaxY - 1);
      x4 := MaxX - 1;
      //Copie 1
      SrcRect := Rect(0, 0, x1, y1);
      DestRect := Rect(0, 0, WdMain.Img1.Width, WdMain.Img1.Height);
      //Dest                     Dest      Source      Source
      WdMain.Img1.Canvas.CopyRect(DestRect, ImgTS4.Canvas, SrcRect);
      //Copie 2
      SrcRect := Rect(x1, 0, x2, y1);
      DestRect := Rect(0, 0, WdMain.Img2.Width, WdMain.Img2.Height);
      WdMain.Img2.Canvas.CopyRect(DestRect, ImgTS4.Canvas, SrcRect);
      //Copie 3
      SrcRect := Rect(x2, 0, x3, y1);
      DestRect := Rect(0, 0, WdMain.Img3.Width, WdMain.Img3.Height);
      WdMain.Img3.Canvas.CopyRect(DestRect, ImgTS4.Canvas, SrcRect);
      //Copie 4
      SrcRect := Rect(x3, 0, x4, y1);
      DestRect := Rect(0, 0, WdMain.Img4.Width, WdMain.Img4.Height);
      WdMain.Img4.Canvas.CopyRect(DestRect, ImgTS4.Canvas, SrcRect);
      //Copie 5
      SrcRect := Rect(0, y1, x1, y2);
      DestRect := Rect(0, 0, WdMain.Img5.Width, WdMain.Img5.Height);
      WdMain.Img5.Canvas.CopyRect(DestRect, ImgTS4.Canvas, SrcRect);
      //Copie 6
      SrcRect := Rect(x1, y1, x2, y2);
      DestRect := Rect(0, 0, WdMain.Img6.Width, WdMain.Img6.Height);
      WdMain.Img6.Canvas.CopyRect(DestRect, ImgTS4.Canvas, SrcRect);
      //Copie 7
      SrcRect := Rect(x2, y1, x3, y2);
      DestRect := Rect(0, 0, WdMain.Img7.Width, WdMain.Img7.Height);
      WdMain.Img7.Canvas.CopyRect(DestRect, ImgTS4.Canvas, SrcRect);
      //Copie 8
      SrcRect := Rect(x3, y1, x4, y2);
      DestRect := Rect(0, 0, WdMain.Img8.Width, WdMain.Img8.Height);
      WdMain.Img8.Canvas.CopyRect(DestRect, ImgTS4.Canvas, SrcRect);
      //Copie 9
      SrcRect := Rect(0, y2, x1, y3);
      DestRect := Rect(0, 0, WdMain.Img9.Width, WdMain.Img9.Height);
      WdMain.Img9.Canvas.CopyRect(DestRect, ImgTS4.Canvas, SrcRect);
      //Copie 10
      SrcRect := Rect(x1, y2, x2, y3);
      DestRect := Rect(0, 0, WdMain.Img10.Width, WdMain.Img10.Height);
      WdMain.Img10.Canvas.CopyRect(DestRect, ImgTS4.Canvas, SrcRect);
      //Copie 11
      SrcRect := Rect(x2, y2, x3, y3);
      DestRect := Rect(0, 0, WdMain.Img11.Width, WdMain.Img11.Height);
      WdMain.Img11.Canvas.CopyRect(DestRect, ImgTS4.Canvas, SrcRect);
      //Copie 12
      SrcRect := Rect(x3, y2, x4, y3);
      DestRect := Rect(0, 0, WdMain.Img12.Width, WdMain.Img12.Height);
      WdMain.Img12.Canvas.CopyRect(DestRect, ImgTS4.Canvas, SrcRect);
      //Copie 13
      SrcRect := Rect(0, y3, x1, y4);
      DestRect := Rect(0, 0, WdMain.Img13.Width, WdMain.Img13.Height);
      WdMain.Img13.Canvas.CopyRect(DestRect, ImgTS4.Canvas, SrcRect);
      //Copie 14
      SrcRect := Rect(x1, y3, x2, y4);
      DestRect := Rect(0, 0, WdMain.Img14.Width, WdMain.Img14.Height);
      WdMain.Img14.Canvas.CopyRect(DestRect, ImgTS4.Canvas, SrcRect);
      //Copie 15
      SrcRect := Rect(x2, y3, x3, y4);
      DestRect := Rect(0, 0, WdMain.Img15.Width, WdMain.Img15.Height);
      WdMain.Img15.Canvas.CopyRect(DestRect, ImgTS4.Canvas, SrcRect);
    end;
    WdApparence.Close;
  end;
end;

procedure Image_4;
var
  DestRect, SrcRect: TRect;
  MaxX, MaxY, n: longint;
  x1, x2, x3, x4, y1, y2, y3, y4: longint;
begin
  //Image Gugusse
  with WdApparence do
  begin
    MaxX := ImgTS5.Width;
    MaxY := ImgTS5.Height;
    with ImgTS5.Canvas do
    begin
      Pen.Color := ClWhite;
      //horizontal
      y1 := MaxY div 4;
      Line(0, y1, MaxX - 1, y1);
      y2 := 2 * y1;
      Line(0, y2, MaxX - 1, y2);
      y3 := 3 * y1;
      Line(0, y3, MaxX - 1, y3);
      y4 := MaxY - 1;
      //vertical
      x1 := MaxX div 4;
      Line(x1, 0, x1, MaxY - 1);
      x2 := x1 * 2;
      Line(x2, 0, x2, MaxY - 1);
      x3 := x1 * 3;
      Line(x3, 0, x3, MaxY - 1);
      x4 := MaxX - 1;
      //Copie 1
      SrcRect := Rect(0, 0, x1, y1);
      DestRect := Rect(0, 0, WdMain.Img1.Width, WdMain.Img1.Height);
      //Dest                     Dest      Source      Source
      WdMain.Img1.Canvas.CopyRect(DestRect, ImgTS5.Canvas, SrcRect);
      //Copie 2
      SrcRect := Rect(x1, 0, x2, y1);
      DestRect := Rect(0, 0, WdMain.Img2.Width, WdMain.Img2.Height);
      WdMain.Img2.Canvas.CopyRect(DestRect, ImgTS5.Canvas, SrcRect);
      //Copie 3
      SrcRect := Rect(x2, 0, x3, y1);
      DestRect := Rect(0, 0, WdMain.Img3.Width, WdMain.Img3.Height);
      WdMain.Img3.Canvas.CopyRect(DestRect, ImgTS5.Canvas, SrcRect);
      //Copie 4
      SrcRect := Rect(x3, 0, x4, y1);
      DestRect := Rect(0, 0, WdMain.Img4.Width, WdMain.Img4.Height);
      WdMain.Img4.Canvas.CopyRect(DestRect, ImgTS5.Canvas, SrcRect);
      //Copie 5
      SrcRect := Rect(0, y1, x1, y2);
      DestRect := Rect(0, 0, WdMain.Img5.Width, WdMain.Img5.Height);
      WdMain.Img5.Canvas.CopyRect(DestRect, ImgTS5.Canvas, SrcRect);
      //Copie 6
      SrcRect := Rect(x1, y1, x2, y2);
      DestRect := Rect(0, 0, WdMain.Img6.Width, WdMain.Img6.Height);
      WdMain.Img6.Canvas.CopyRect(DestRect, ImgTS5.Canvas, SrcRect);
      //Copie 7
      SrcRect := Rect(x2, y1, x3, y2);
      DestRect := Rect(0, 0, WdMain.Img7.Width, WdMain.Img7.Height);
      WdMain.Img7.Canvas.CopyRect(DestRect, ImgTS5.Canvas, SrcRect);
      //Copie 8
      SrcRect := Rect(x3, y1, x4, y2);
      DestRect := Rect(0, 0, WdMain.Img8.Width, WdMain.Img8.Height);
      WdMain.Img8.Canvas.CopyRect(DestRect, ImgTS5.Canvas, SrcRect);
      //Copie 9
      SrcRect := Rect(0, y2, x1, y3);
      DestRect := Rect(0, 0, WdMain.Img9.Width, WdMain.Img9.Height);
      WdMain.Img9.Canvas.CopyRect(DestRect, ImgTS5.Canvas, SrcRect);
      //Copie 10
      SrcRect := Rect(x1, y2, x2, y3);
      DestRect := Rect(0, 0, WdMain.Img10.Width, WdMain.Img10.Height);
      WdMain.Img10.Canvas.CopyRect(DestRect, ImgTS5.Canvas, SrcRect);
      //Copie 11
      SrcRect := Rect(x2, y2, x3, y3);
      DestRect := Rect(0, 0, WdMain.Img11.Width, WdMain.Img11.Height);
      WdMain.Img11.Canvas.CopyRect(DestRect, ImgTS5.Canvas, SrcRect);
      //Copie 12
      SrcRect := Rect(x3, y2, x4, y3);
      DestRect := Rect(0, 0, WdMain.Img12.Width, WdMain.Img12.Height);
      WdMain.Img12.Canvas.CopyRect(DestRect, ImgTS5.Canvas, SrcRect);
      //Copie 13
      SrcRect := Rect(0, y3, x1, y4);
      DestRect := Rect(0, 0, WdMain.Img13.Width, WdMain.Img13.Height);
      WdMain.Img13.Canvas.CopyRect(DestRect, ImgTS5.Canvas, SrcRect);
      //Copie 14
      SrcRect := Rect(x1, y3, x2, y4);
      DestRect := Rect(0, 0, WdMain.Img14.Width, WdMain.Img14.Height);
      WdMain.Img14.Canvas.CopyRect(DestRect, ImgTS5.Canvas, SrcRect);
      //Copie 15
      SrcRect := Rect(x2, y3, x3, y4);
      DestRect := Rect(0, 0, WdMain.Img15.Width, WdMain.Img15.Height);
      WdMain.Img15.Canvas.CopyRect(DestRect, ImgTS5.Canvas, SrcRect);
    end;
    WdApparence.Close;
  end;
end;

procedure TWdApparence.SpeedButton1Click(Sender: TObject);
begin
  with WdApparence do
  begin
    case PageControl1.ActivePageIndex of
      0: Image_0;
      1: Image_1;
      2: Image_2;
      3: Image_3;
      4: Image_4;
    end;
    Close;
  end;
end;

end.
