unit taquin_main;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, FileUtil, Forms, Controls, Graphics, Dialogs, ExtCtrls,
  Menus, StdCtrls;

const
  MaxCases_ = 16;
  MaxJoueurs_ = 15;
  //-
  XY_: array[1..MaxCases_] of TPoint = (
    (x: 4; y: 4),
    (x: 166; y: 4),
    (x: 328; y: 4),
    (x: 490; y: 4),
    (x: 4; y: 166),
    (x: 166; y: 166),
    (x: 328; y: 166),
    (x: 490; y: 166),
    (x: 4; y: 328),
    (x: 166; y: 328),
    (x: 328; y: 328),
    (x: 490; y: 328),
    (x: 4; y: 490),
    (x: 166; y: 490),
    (x: 328; y: 490),
    (x: 490; y: 490)
    );

type

  { TWdMain }

  TWdMain = class(TForm)
    Img1: TImage;
    Img10: TImage;
    Img11: TImage;
    Img12: TImage;
    Img13: TImage;
    Img14: TImage;
    Img15: TImage;
    Img2: TImage;
    Img3: TImage;
    Img4: TImage;
    Img5: TImage;
    Img6: TImage;
    Img7: TImage;
    Img8: TImage;
    Img9: TImage;
    MainMenu1: TMainMenu;
    MenuItem1: TMenuItem;
    MenuItem2: TMenuItem;
    MenuItem3: TMenuItem;
    MenuItem4: TMenuItem;
    Panel1: TPanel;
    Pa8: TPanel;
    Pa9: TPanel;
    Pa10: TPanel;
    Pa11: TPanel;
    Pa12: TPanel;
    Pa13: TPanel;
    Pa14: TPanel;
    Pa15: TPanel;
    Panel2: TPanel;
    Pa1: TPanel;
    Pa2: TPanel;
    Pa4: TPanel;
    Pa3: TPanel;
    Pa5: TPanel;
    Pa6: TPanel;
    Pa7: TPanel;
    Timer1: TTimer;
    procedure FormShow(Sender: TObject);
    procedure Img10Click(Sender: TObject);
    procedure Img10MouseMove(Sender: TObject; Shift: TShiftState; X, Y: integer);
    procedure Img11Click(Sender: TObject);
    procedure Img11MouseMove(Sender: TObject; Shift: TShiftState; X, Y: integer);
    procedure Img12Click(Sender: TObject);
    procedure Img12MouseMove(Sender: TObject; Shift: TShiftState; X, Y: integer);
    procedure Img13Click(Sender: TObject);
    procedure Img13MouseMove(Sender: TObject; Shift: TShiftState; X, Y: integer);
    procedure Img14Click(Sender: TObject);
    procedure Img14MouseMove(Sender: TObject; Shift: TShiftState; X, Y: integer);
    procedure Img15Click(Sender: TObject);
    procedure Img15MouseMove(Sender: TObject; Shift: TShiftState; X, Y: integer);
    procedure Img1Click(Sender: TObject);
    procedure Img1MouseMove(Sender: TObject; Shift: TShiftState; X, Y: integer);
    procedure Img2Click(Sender: TObject);
    procedure Img2MouseMove(Sender: TObject; Shift: TShiftState; X, Y: integer);
    procedure Img3Click(Sender: TObject);
    procedure Img3MouseMove(Sender: TObject; Shift: TShiftState; X, Y: integer);
    procedure Img4Click(Sender: TObject);
    procedure Img4MouseMove(Sender: TObject; Shift: TShiftState; X, Y: integer);
    procedure Img5Click(Sender: TObject);
    procedure Img5MouseMove(Sender: TObject; Shift: TShiftState; X, Y: integer);
    procedure Img6Click(Sender: TObject);
    procedure Img6MouseMove(Sender: TObject; Shift: TShiftState; X, Y: integer);
    procedure Img7Click(Sender: TObject);
    procedure Img7MouseMove(Sender: TObject; Shift: TShiftState; X, Y: integer);
    procedure Img8Click(Sender: TObject);
    procedure Img8MouseMove(Sender: TObject; Shift: TShiftState; X, Y: integer);
    procedure Img9Click(Sender: TObject);
    procedure Img9MouseMove(Sender: TObject; Shift: TShiftState; X, Y: integer);
    procedure MenuItem2Click(Sender: TObject);
    procedure MenuItem3Click(Sender: TObject);
    procedure MenuItem4Click(Sender: TObject);
    procedure Timer1Timer(Sender: TObject);
  private
    { private declarations }
  public
    { public declarations }
    Stop: boolean;
  end;

var
  WdMain: TWdMain;

implementation

uses taquin_depart, taquin_apparence;

{$R *.lfm}

{ TWdMain }

type
  Cases_ = record
    Joueur: integer;
  end;

  Joueur_ = record
    Empl: integer;
  end;

var
  SourisXY: array[1..MaxJoueurs_] of TPoint;
  //Contient le N° du Joueur
  Cases: array[1..MaxCases_] of Cases_;
  //Contient son emplacement
  Joueur: array[1..MaxJoueurs_] of Joueur_;

function Test_de_Fin: boolean;
var
  n, p: integer;
begin
  p := 0;
  for n := 1 to MaxJoueurs_ do
    if Cases[n].Joueur = n then
      Inc(p);
  if p = MaxJoueurs_ then
    Result := True
  else
    Result := False;
end;

procedure JoueurVersCaseN(Joueur, CaseArr: integer);
begin
  with WdMain do
  begin
    case Joueur of
      1:
      begin
        Pa1.Left := XY_[CaseArr].x;
        Pa1.Top := XY_[CaseArr].y;
      end;
      2:
      begin
        Pa2.Left := XY_[CaseArr].x;
        Pa2.Top := XY_[CaseArr].y;
      end;
      3:
      begin
        Pa3.Left := XY_[CaseArr].x;
        Pa3.Top := XY_[CaseArr].y;
      end;
      4:
      begin
        Pa4.Left := XY_[CaseArr].x;
        Pa4.Top := XY_[CaseArr].y;
      end;
      5:
      begin
        Pa5.Left := XY_[CaseArr].x;
        Pa5.Top := XY_[CaseArr].y;
      end;
      6:
      begin
        Pa6.Left := XY_[CaseArr].x;
        Pa6.Top := XY_[CaseArr].y;
      end;
      7:
      begin
        Pa7.Left := XY_[CaseArr].x;
        Pa7.Top := XY_[CaseArr].y;
      end;
      8:
      begin
        Pa8.Left := XY_[CaseArr].x;
        Pa8.Top := XY_[CaseArr].y;
      end;
      9:
      begin
        Pa9.Left := XY_[CaseArr].x;
        Pa9.Top := XY_[CaseArr].y;
      end;
      10:
      begin
        Pa10.Left := XY_[CaseArr].x;
        Pa10.Top := XY_[CaseArr].y;
      end;
      11:
      begin
        Pa11.Left := XY_[CaseArr].x;
        Pa11.Top := XY_[CaseArr].y;
      end;
      12:
      begin
        Pa12.Left := XY_[CaseArr].x;
        Pa12.Top := XY_[CaseArr].y;
      end;
      13:
      begin
        Pa13.Left := XY_[CaseArr].x;
        Pa13.Top := XY_[CaseArr].y;
      end;
      14:
      begin
        Pa14.Left := XY_[CaseArr].x;
        Pa14.Top := XY_[CaseArr].y;
      end;
      15:
      begin
        Pa15.Left := XY_[CaseArr].x;
        Pa15.Top := XY_[CaseArr].y;
      end;
    end;
  end;
end;

procedure JoueurToXy(Jr, CaseDep, CaseArr: integer);
begin
  with WdMain do
  begin
    if Cases[CaseArr].Joueur = 0 then
    begin
      JoueurVersCaseN(Jr, CaseArr);
      Joueur[Jr].Empl := CaseArr;
      Cases[CaseArr].Joueur := Jr;
      Cases[CaseDep].Joueur := 0;
    end;
  end;
end;

procedure Deplacements(J: integer);

  function Case_Vide: string;
  var
    s: string;
    n: integer;
  begin
    s := '';
    for n := 1 to 16 do
    begin
      if n in [1..15] then
        if Joueur[n].Empl = 0 then
          s := s + 'J' + IntToStr(n) + ' ';
      if Cases[n].Joueur = 0 then
        s := s + 'C' + IntToStr(n) + ' ';
    end;
    Result := s;
  end;

  function Emplacement_vide(EmplJ: integer): integer;
  var
    Empl: integer;
  begin
    Empl := 0;
    case EmplJ of
      //2,5
      1: if Cases[2].Joueur = 0 then
          Empl := 2
        else
        if Cases[5].Joueur = 0 then
          Empl := 3;
      //3,6,1
      2: if Cases[3].Joueur = 0 then
          Empl := 2
        else
        if Cases[6].Joueur = 0 then
          Empl := 3
        else
        if Cases[1].Joueur = 0 then
          Empl := 4;
      //4,7,2
      3: if Cases[4].Joueur = 0 then
          Empl := 2
        else
        if Cases[7].Joueur = 0 then
          Empl := 3
        else
        if Cases[2].Joueur = 0 then
          Empl := 4;
      //8,3
      4: if Cases[8].Joueur = 0 then
          Empl := 3
        else
        if Cases[3].Joueur = 0 then
          Empl := 4;
      //1,6,9
      5: if Cases[1].Joueur = 0 then
          Empl := 1
        else
        if Cases[6].Joueur = 0 then
          Empl := 2
        else
        if Cases[9].Joueur = 0 then
          Empl := 3;
      //2,7,10,5
      6: if Cases[2].Joueur = 0 then
          Empl := 1
        else
        if Cases[7].Joueur = 0 then
          Empl := 2
        else
        if Cases[10].Joueur = 0 then
          Empl := 3
        else
        if Cases[5].Joueur = 0 then
          Empl := 4;
      //3,8,11,6
      7: if Cases[3].Joueur = 0 then
          Empl := 1
        else
        if Cases[8].Joueur = 0 then
          Empl := 2
        else
        if Cases[11].Joueur = 0 then
          Empl := 3
        else
        if Cases[6].Joueur = 0 then
          Empl := 4;
      //4,12,7
      8: if Cases[4].Joueur = 0 then
          Empl := 1
        else
        if Cases[12].Joueur = 0 then
          Empl := 3
        else
        if Cases[7].Joueur = 0 then
          Empl := 4;
      //5,10,13
      9: if Cases[5].Joueur = 0 then
          Empl := 1
        else
        if Cases[10].Joueur = 0 then
          Empl := 2
        else
        if Cases[13].Joueur = 0 then
          Empl := 3;
      //6,11,14,9
      10: if Cases[6].Joueur = 0 then
          Empl := 1
        else
        if Cases[11].Joueur = 0 then
          Empl := 2
        else
        if Cases[14].Joueur = 0 then
          Empl := 3
        else
        if Cases[9].Joueur = 0 then
          Empl := 4;
      //7,12,15,10
      11: if Cases[7].Joueur = 0 then
          Empl := 1
        else
        if Cases[12].Joueur = 0 then
          Empl := 2
        else
        if Cases[15].Joueur = 0 then
          Empl := 3
        else
        if Cases[10].Joueur = 0 then
          Empl := 4;
      //8,16,11
      12: if Cases[8].Joueur = 0 then
          Empl := 1
        else
        if Cases[16].Joueur = 0 then
          Empl := 3
        else
        if Cases[11].Joueur = 0 then
          Empl := 4;
      //9,14
      13: if Cases[9].Joueur = 0 then
          Empl := 1
        else
        if Cases[14].Joueur = 0 then
          Empl := 2;
      //10,15,13
      14: if Cases[10].Joueur = 0 then
          Empl := 1
        else
        if Cases[15].Joueur = 0 then
          Empl := 2
        else
        if Cases[13].Joueur = 0 then
          Empl := 4;
      //11,16,14
      15: if Cases[11].Joueur = 0 then
          Empl := 1
        else
        if Cases[16].Joueur = 0 then
          Empl := 2
        else
        if Cases[14].Joueur = 0 then
          Empl := 4;
      //12,15
      16: if Cases[12].Joueur = 0 then
          Empl := 1
        else
        if Cases[15].Joueur = 0 then
          Empl := 4;
    end;
    Result := Empl;
  end;

var
  Dep, Empl2: integer;
  HdBg: integer;
begin
  with WdMain do
  begin
    //Ou est le vide...
    //Haut(1), Droite(2), Bas(3) ou Gauche(4)
    HdBg := Emplacement_Vide(Joueur[j].Empl);
    //-
    case HdBg of
      //Haut
      1:
      begin
        //Déplacement en haut
        Dep := Joueur[j].Empl;
        case Dep of
          //1:Pas de déplacement possible
          //2:Pas de déplacement possible
          //3:Pas de déplacement possible
          //4:Pas de déplacement possible
          5: JoueurToXy(j, Dep, 1);
          6: JoueurToXy(j, Dep, 2);
          7: JoueurToXy(j, Dep, 3);
          8: JoueurToXy(j, Dep, 4);
          9: JoueurToXy(j, Dep, 5);
          10: JoueurToXy(j, Dep, 6);
          11: JoueurToXy(j, Dep, 7);
          12: JoueurToXy(j, Dep, 8);
          13: JoueurToXy(j, Dep, 9);
          14: JoueurToXy(j, Dep, 10);
          15: JoueurToXy(j, Dep, 11);
          16: JoueurToXy(j, Dep, 12);
        end;
      end;
      //Déplacement à Droite
      2:
      begin
        Dep := Joueur[j].Empl;
        //showmessage('Dep '+IntToStr(Dep));
        case Dep of
          //4:Pas de déplacement possible
          //8:Pas de déplacement possible
          //12:Pas de déplacement possible
          //16:Pas de déplacement possible
          1: JoueurToXy(j, Dep, 2);
          2: JoueurToXy(j, Dep, 3);
          3: JoueurToXy(j, Dep, 4);
          5: JoueurToXy(j, Dep, 6);
          6: JoueurToXy(j, Dep, 7);
          7: JoueurToXy(j, Dep, 8);
          9: JoueurToXy(j, Dep, 10);
          10: JoueurToXy(j, Dep, 11);
          11: JoueurToXy(j, Dep, 12);
          13: JoueurToXy(j, Dep, 14);
          14: JoueurToXy(j, Dep, 15);
          15: JoueurToXy(j, Dep, 16);
        end;
      end;
      //Déplacement en bas
      3:
      begin
        Dep := Joueur[j].Empl;
        case Dep of
          //13:pas de déplacement possible
          //14:pas de déplacement possible
          //15:pas de déplacement possible
          1: JoueurToXy(j, Dep, 5);
          2: JoueurToXy(j, Dep, 6);
          3: JoueurToXy(j, Dep, 7);
          4: JoueurToXy(j, Dep, 8);
          5: JoueurToXy(j, Dep, 9);
          6: JoueurToXy(j, Dep, 10);
          7: JoueurToXy(j, Dep, 11);
          8: JoueurToXy(j, Dep, 12);
          9: JoueurToXy(j, Dep, 13);
          10: JoueurToXy(j, Dep, 14);
          11: JoueurToXy(j, Dep, 15);
          12: JoueurToXy(j, Dep, 16);
        end;
      end;
      //Déplacement à  gauche
      4:
      begin
        Dep := Joueur[j].Empl;
        case Dep of
          //1:Pas de déplacement possible
          //5:Pas de déplacement possible
          //9:Pas de déplacement possible
          //13:Pas de déplacement possible
          2: JoueurToXy(j, Dep, 1);
          3: JoueurToXy(j, Dep, 2);
          4: JoueurToXy(j, Dep, 3);
          6: JoueurToXy(j, Dep, 5);
          7: JoueurToXy(j, Dep, 6);
          8: JoueurToXy(j, Dep, 7);
          10: JoueurToXy(j, Dep, 9);
          11: JoueurToXy(j, Dep, 10);
          12: JoueurToXy(j, Dep, 11);
          14: JoueurToXy(j, Dep, 13);
          15: JoueurToXy(j, Dep, 14);
          16: JoueurToXy(j, Dep, 15);
        end;
      end;
    end;
    if Test_de_Fin then
    begin
      ShowMessage(#13#10'                  Bravo !   Vous avez gagné !');
    end;
  end;
end;

procedure Init_Pieces;
var
  n: integer;
begin
  //Init N° dans cases
  for n := 1 to MaxJoueurs_ do
  begin
    Cases[n].Joueur := n;
    Joueur[n].Empl := n;
  end;
  Cases[MaxCases_].Joueur := 0;
  //Init N°
  with WdMain do
  begin
    //1
    Pa1.Left := XY_[1].x;
    Pa1.Top := XY_[1].y;
    //2
    Pa2.Left := XY_[2].x;
    Pa2.Top := XY_[2].y;
    //3
    Pa3.Left := XY_[3].x;
    Pa3.Top := XY_[3].y;
    //4
    Pa4.Left := XY_[4].x;
    Pa4.Top := XY_[4].y;
    //5
    Pa5.Left := XY_[5].x;
    Pa5.Top := XY_[5].y;
    //6
    Pa6.Left := XY_[6].x;
    Pa6.Top := XY_[6].y;
    //7
    Pa7.Left := XY_[7].x;
    Pa7.Top := XY_[7].y;
    //8
    Pa8.Left := XY_[8].x;
    Pa8.Top := XY_[8].y;
    //9
    Pa9.Left := XY_[9].x;
    Pa9.Top := XY_[9].y;
    //10
    Pa10.Left := XY_[10].x;
    Pa10.Top := XY_[10].y;
    //11
    Pa11.Left := XY_[11].x;
    Pa11.Top := XY_[11].y;
    //12
    Pa12.Left := XY_[12].x;
    Pa12.Top := XY_[12].y;
    //13
    Pa13.Left := XY_[13].x;
    Pa13.Top := XY_[13].y;
    //14
    Pa14.Left := XY_[14].x;
    Pa14.Top := XY_[14].y;
    //15
    Pa15.Left := XY_[15].x;
    Pa15.Top := XY_[15].y;
  end;
end;

procedure Melange;

  procedure Inversion;
  var
    J1, J2, C1, C2: integer;
  begin
    //Case Depart
    J1 := Random(15) + 1;
    C1 := Joueur[J1].Empl;
    //Case Arrivee
    repeat
      J2 := Random(15) + 1;
    until J2 <> J1;
    C2 := Joueur[J2].Empl;
    //Inversion
    Joueur[J2].Empl := C1;
    Cases[C2].Joueur := J1;
    Joueur[J1].Empl := C2;
    Cases[C1].Joueur := J2;
    //Affichage
    JoueurVersCaseN(J1, C2);
    Application.ProcessMessages;
    JoueurVersCaseN(J2, C1);
    Application.ProcessMessages;
  end;

var
  n: integer;
begin
  WdMain.Stop := False;
  n := 0;
  repeat
    Inversion;
    Sleep(50);
    Inc(n);
    case n of
      4: WdDepart.Panel1.Caption := '4';
      8: WdDepart.Panel1.Caption := '3';
      12: WdDepart.Panel1.Caption := '2';
      16: WdDepart.Panel1.Caption := '1';
    end;
    Application.ProcessMessages;
  until (WdMain.Stop) or (n > 20);
  WdDepart.Panel1.Caption := '0';
  Application.ProcessMessages;
  Sleep(500);
  WdDepart.FormStyle := fsNormal;
  WdDepart.Close;
end;

procedure TWdMain.MenuItem2Click(Sender: TObject);
begin
  WdMain.Close;
end;

procedure TWdMain.MenuItem3Click(Sender: TObject);
begin
  //Nouvelle partie
  WdMain.Stop := True;
  WdDepart.Close;
  //-
  Init_pieces;
  WdMain.Stop := False;
  Timer1.Enabled := True;
end;

procedure TWdMain.MenuItem4Click(Sender: TObject);
begin
  WdApparence.Show;
end;

procedure TWdMain.Timer1Timer(Sender: TObject);
begin
  Timer1.Enabled := False;
  WdDepart.Panel1.Caption := '5';
  WdDepart.FormStyle := fsStayOnTop;
  WdDepart.Show;
  Melange;
end;

procedure TWdMain.Img10Click(Sender: TObject);
begin
  Deplacements(10);
end;

procedure TWdMain.Img10MouseMove(Sender: TObject; Shift: TShiftState; X, Y: integer);
begin
  SourisXY[10].x := x;
  SourisXY[10].y := y;
end;

procedure TWdMain.Img11Click(Sender: TObject);
begin
  Deplacements(11);
end;

procedure TWdMain.Img11MouseMove(Sender: TObject; Shift: TShiftState; X, Y: integer);
begin
  SourisXY[11].x := x;
  SourisXY[11].y := y;
end;

procedure TWdMain.Img12Click(Sender: TObject);
begin
  Deplacements(12);
end;

procedure TWdMain.Img12MouseMove(Sender: TObject; Shift: TShiftState; X, Y: integer);
begin
  SourisXY[12].x := x;
  SourisXY[12].y := y;
end;

procedure TWdMain.Img13Click(Sender: TObject);
begin
  Deplacements(13);
end;

procedure TWdMain.Img13MouseMove(Sender: TObject; Shift: TShiftState; X, Y: integer);
begin
  SourisXY[13].x := x;
  SourisXY[13].y := y;
end;

procedure TWdMain.Img14Click(Sender: TObject);
begin
  Deplacements(14);
end;

procedure TWdMain.Img14MouseMove(Sender: TObject; Shift: TShiftState; X, Y: integer);
begin
  SourisXY[14].x := x;
  SourisXY[14].y := y;
end;

procedure TWdMain.Img15Click(Sender: TObject);
begin
  Deplacements(15);
end;

procedure TWdMain.Img15MouseMove(Sender: TObject; Shift: TShiftState; X, Y: integer);
begin
  SourisXY[15].x := x;
  SourisXY[15].y := y;
end;

procedure TWdMain.Img1Click(Sender: TObject);
begin
  Deplacements(1);
end;

procedure TWdMain.Img1MouseMove(Sender: TObject; Shift: TShiftState; X, Y: integer);
begin
  SourisXY[1].x := x;
  SourisXY[1].y := y;
end;

procedure TWdMain.Img2Click(Sender: TObject);
begin
  Deplacements(2);
end;

procedure TWdMain.Img2MouseMove(Sender: TObject; Shift: TShiftState; X, Y: integer);
begin
  SourisXY[2].x := x;
  SourisXY[2].y := y;
end;

procedure TWdMain.Img3Click(Sender: TObject);
begin
  Deplacements(3);
end;

procedure TWdMain.Img3MouseMove(Sender: TObject; Shift: TShiftState; X, Y: integer);
begin
  SourisXY[3].x := x;
  SourisXY[3].y := y;
end;

procedure TWdMain.Img4Click(Sender: TObject);
begin
  Deplacements(4);
end;

procedure TWdMain.Img4MouseMove(Sender: TObject; Shift: TShiftState; X, Y: integer);
begin
  SourisXY[4].x := x;
  SourisXY[4].y := y;
end;

procedure TWdMain.Img5Click(Sender: TObject);
begin
  Deplacements(5);
end;

procedure TWdMain.Img5MouseMove(Sender: TObject; Shift: TShiftState; X, Y: integer);
begin
  SourisXY[5].x := x;
  SourisXY[5].y := y;
end;

procedure TWdMain.Img6Click(Sender: TObject);
begin
  Deplacements(6);
end;

procedure TWdMain.Img6MouseMove(Sender: TObject; Shift: TShiftState; X, Y: integer);
begin
  SourisXY[6].x := x;
  SourisXY[6].y := y;
end;

procedure TWdMain.Img7Click(Sender: TObject);
begin
  Deplacements(7);
end;

procedure TWdMain.Img7MouseMove(Sender: TObject; Shift: TShiftState; X, Y: integer);
begin
  SourisXY[7].x := x;
  SourisXY[7].y := y;
end;

procedure TWdMain.Img8Click(Sender: TObject);
begin
  Deplacements(8);
end;

procedure TWdMain.Img8MouseMove(Sender: TObject; Shift: TShiftState; X, Y: integer);
begin
  SourisXY[8].x := x;
  SourisXY[8].y := y;
end;

procedure TWdMain.Img9Click(Sender: TObject);
begin
  Deplacements(9);
end;

procedure TWdMain.Img9MouseMove(Sender: TObject; Shift: TShiftState; X, Y: integer);
begin
  SourisXY[9].x := x;
  SourisXY[9].y := y;
end;

procedure TWdMain.FormShow(Sender: TObject);
begin
  WdMain.Height := 684;
  WdMain.Width := 664;
  Init_pieces;
  WdMain.Stop := False;
  Timer1.Enabled := True;
end;

end.
